[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Sarge release for amd64 - Please help to fix the remaining bugs

On Tue, May 03, 2005 at 03:54:10AM +0200, Adrian Bunk wrote:
> On Fri, Apr 29, 2005 at 09:10:10PM -0700, Steve Langasek wrote:
> > On Fri, Apr 29, 2005 at 10:52:02PM -0500, Adam M. wrote:

> > > >Ideally, we would have agreement to update all of the following packages to
> > > >libmysqlclient12 at the same time:

> > > I would suggest that libmysqlclient14 should be used if possible. MySQL
> > > has changed the way passwords are stored in the database and this
> > > prevents clients from connecting to MySQL databases unless old-passwords
> > > option is enabled (which it is in Debian). libmysqlclient12 clients
> > > cannot connect to MySQL 4.1.x and newer databases unless old password is
> > > explicitly used or enabled.

> > That's not true.  It's only libmysqlclient10 that can't connect using the
> > new protocol.
> >...

> Please check the facts before spreading such misinformation.

Indeed, the facts *were* checked; a libmysqlclient12 can connect to a MySQL
4.1 server on Debian using the default password hash algorithm.

Unfortunately, it turns out this is because the Debian package has changed
the default.

Had I been aware of this three months ago, I almost certainly would have
been trying to get people to switch to libmysqlclient14 instead of
libmysqlclient12. :/

Steve Langasek
postmodern programmer

Attachment: signature.asc
Description: Digital signature

Reply to: